Bug 297371 - i810switch doesn't support Intel 945 (Thinkpad T60)
i810switch doesn't support Intel 945 (Thinkpad T60)
Product: Fedora
Classification: Fedora
Component: i810switch (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-19 23:47 EDT by Derek Atkins
Modified: 2009-02-24 17:39 EST (History)
0 users

See Also:
Fixed In Version: 0.6.5-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-11 18:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated patch that adds i810/945 support (615 bytes, text/x-patch)
2007-09-20 09:03 EDT, Derek Atkins
no flags Details

  None (edit)
Description Derek Atkins 2007-09-19 23:47:03 EDT
Description of problem:

The i810switch application doesn't support the Intel 945 version.  When I run
i810switch I get:

PCI id of i810 is not recognized.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run i810switch on a T60 with the i810/945
2. watch it fail
Actual results:

See above

Expected results:

The 945 should be accepted.

Additional info:

This problem is described in http://www.binf.ku.dk/~hanne/blog/?postid=12 and he
has a patch that seems to fix the problem at

I'll test the patch myself tomorrow just to make sure it works for me.
Comment 1 Matt Domsch 2007-09-20 01:02:46 EDT
please do.  I don't have this hardware to test myself.  In addition, it's quite
possible that xrandr from rawhide handles this directly which eliminates the
need for i810switch anymore.  Can you try that as well?
Comment 2 Derek Atkins 2007-09-20 08:58:51 EDT
Yep, this patch fixes it.  With this patch I can access my i810/945.  It's
unclear whether xrandr will let me turn the hardware on and off like this will,
but I dont want to pull down Rawhide onto my F7 laptop.   But thanks for the
Comment 3 Derek Atkins 2007-09-20 09:03:05 EDT
Created attachment 200721 [details]
Updated patch that adds i810/945 support

This is the patch I used.  It's only 1/3 of the patch in the URL above; this
version doesn't include the Makefile changes that move the applications from
/usr/bin to /usr/sbin.	If you wanted to move stuff around I figured you could
do it on your own.  But I can confirm that this patch does indeed make the
application "work", in the sense that it can probe my hardware.  :)
Comment 4 Matt Domsch 2007-09-27 14:24:32 EDT
I'm building for Fedora 7.  Please test when this hits the Fedora 7 'testing'
repository.  It works for me on Fedora 7 and rawhide on a Dell Latitude D400
with Fedora 7, and on Rawhide on a Latitude D410.  Rawhide appears to also work
fine with xrandr, so I'm inclined to make this a dead package for rawhide,
recommending use of xrandr instead.  Release notes would need to reflect this.
Comment 5 Matt Domsch 2007-09-27 15:06:38 EDT
resetting requires-release-note to ?
Comment 6 Matt Domsch 2007-09-27 15:30:07 EDT

is a good place to vote for this if it works for you.
Comment 7 Fedora Update System 2007-09-28 17:21:00 EDT
i810switch-0.6.5-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-10-11 18:53:10 EDT
i810switch-0.6.5-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Derek Atkins 2007-10-29 13:48:43 EDT
For the record, this update does solve my original problem.  Thank you.
Comment 10 Matt Domsch 2009-02-24 17:39:43 EST
no release note released; closing out this flag.

Note You need to log in before you can comment on or make changes to this bug.